%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-test
Version:       1.2.0
Release:       %mkrel 1
Summary:       JBoss Test
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/test/tags/1.2.0.Final jboss-test-1.2.0.Final
# tar czf jboss-test-1.2.0.Final-src-svn.tar.gz jboss-test-1.2.0.Final
Source0:       jboss-test-%{namedversion}-src-svn.tar.gz
# FIXME org.jboss.jbossas jboss-server-manager 1.0.4.Final
Patch0:        jboss-test-1.2.0.Final-remove-jboss-server-manager.patch
BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-release-plugin

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-profiler
#BuildRequires: jboss-server-manager
BuildRequires: junit
BuildRequires: liblog4j-java

Requires:      ant
Requires:      ant-junit
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-profiler
#Requires:      jboss-server-manager
Requires:      junit
Requires:      liblog4j-java

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss Common test support classes.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

sed -i "s|<version.apache.ant>1.7.0</version.apache.ant>|<version.apache.ant>1.8.2</version.apache.ant>|" pom.xml

%patch0 -p0
rm -rf src/main/java/org/jboss/ant/taskdefs/server

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/%{name}.jar
%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc README

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Mon Mar 05 2012 gil <gil> 1.2.0-1.mga2
+ Revision: 218634
- imported package jboss-test

